/** Global Data Define */
#pragma once
#include <stdint.h>
#define G_RF_MODE_FM 0x00
#define G_RF_MODE_AM 0x01
#define G_FM_FREQ_MIN 880*2
#define G_FM_FREQ_MAX 1080*2
#define G_AM_FREQ_MIN 100
#define G_AM_FREQ_MAX 33000

typedef struct GlobalData {
    uint16_t freq; // FM x50kHz AM x1kHz
    uint8_t rf_mode;
    uint8_t volumn;
    uint8_t signal;
} GlobalData;

extern GlobalData global_data;
